WoW/Guild сharacter importer for EQDKP 2.3 not working

  • Blizzard is currently moving to a new API, therefore problems will occur.

    We are working on moving to the new API, no ETA yet.

    Viele Grüße,
    GodMod


    Bitte sendet mir keine unaufgeforderten Support-PNs. | Please don't send me unwanted support-PMs.
    Du willst dich bei mir bedanken: | You want to thank me:

    amazon_wishlist.jpg paypal_logo.jpg

  • wow 8.1.23.1 is online. there might still be bugs included.

    The armory itemtooltip parser is not working yet, but most parts i tested should work without problem.


    Report back if other issue detected.

  • wow 8.1.23.1 is online. there might still be bugs included.

    The armory itemtooltip parser is not working yet, but most parts i tested should work without problem.


    Report back if other issue detected.

    If you need detailed instructions on the new service API and no access to https://develop.battle.net I can provide the necessary information


    sample request:

    REQUEST URL

    Code
    1. https://us.api.blizzard.com/wow/item/18803?locale=en_US&access_token=(hidden by privacy settings)

    REQUEST HEADERS

    Code
    1. Accept: application/json

    RESPONSE STATUS

    Code
    1. 200 OK

    RESPONSE HEADERS

    Code
    1. content-language: en-US@@@WCF_PRE_LINEBREAK@@@content-type: application/json;charset=UTF-8

    RESPONSE BODY

    Code
    1. { "id": 18803, "disenchantingSkillRank": 0, "description": "Property of Finkle Einhorn, Grandmaster Adventurer", "name": "Finkle's Lava Dredger", "icon": "inv_gizmo_02", "stackable": 1, "itemBind": 1, "bonusStats": [ { "stat": 40, "amount": 13 }, { "stat": 5, "amount": 68 }, { "stat": 7, "amount": 23 } ], "itemSpells": [], "buyPrice": 579383, "itemClass": 2, "itemSubClass": 5, "containerSlots": 0, "weaponInfo": { "damage": { "min": 18, "max": 23, "exactMin": 18, "exactMax": 23 }, "weaponSpeed": 3.6, "dps": 5.6944447 }, "inventoryType": 17, "equippable": true, "itemLevel": 58, "maxCount": 0, "maxDurability": 120, "minFactionId": 0, "minReputation": 0, "quality": 4, "sellPrice": 115876, "requiredSkill": 0, "requiredLevel": 60, "requiredSkillRank": 0, "itemSource": { "sourceId": 179703, "sourceType": "GAME_OBJECT_DROP" }, "baseArmor": 0, "hasSockets": false, "isAuctionable": false, "armor": 0, "displayInfoId": 31265, "nameDescription": "", "nameDescriptionColor": "000000", "upgradable": true, "heroicTooltip": false, "context": "", "bonusLists": [], "availableContexts": [ "" ], "bonusSummary": { "defaultBonusLists": [], "chanceBonusLists": [], "bonusChances": [] }, "artifactId": 0
    2. }

    result: the request passes without problems

  • It seams that there is a bug in 2.3.6 with hosts where open_basedir is enabled.

    You have to apply the following fix on your own, as no external connections are possible due to this bug.


    https://github.com/EQdkpPlus/c…7804f7bc619f65df4fb50a25a

    Or replace directly the file core/urlfetcher.class.php with this: https://github.com/EQdkpPlus/c…core/urlfetcher.class.php

    Viele Grüße,
    GodMod


    Bitte sendet mir keine unaufgeforderten Support-PNs. | Please don't send me unwanted support-PMs.
    Du willst dich bei mir bedanken: | You want to thank me:

    amazon_wishlist.jpg paypal_logo.jpg